import { defineStore } from 'pinia'
import { useDataStore } from '@/stores/dataStore'
import { useAuthStore } from '../stores/authStore'

export const useAppService = defineStore('appService', () => {
  const dataStore = useDataStore()
  const authStore = useAuthStore()

  const GetAAuthRoleList = async () => {
    if (authStore.rolesList.length === 0) {
      let data = await dataStore.dataGet('Auth/rolelistesi')
      authStore.rolesList = data
    }
  }

  return {GetAAuthRoleList}
})
